Get contact
curl --request GET \
--url https://api.contracting.kukkingu.software/api/v1/contacts/{contactId} \
--header 'Authorization: Bearer <token>' \
--header 'tenant-id: <tenant-id>'import requests
url = "https://api.contracting.kukkingu.software/api/v1/contacts/{contactId}"
headers = {
"tenant-id": "<tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'tenant-id': '<tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.contracting.kukkingu.software/api/v1/contacts/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "con_xlbg6ubfio7tzvsijyp5794c",
"client": "clnt_z2b3mo8qa5kzptgsu26q2wmh",
"name": "Jane Doe",
"isDefault": true,
"createdAt": "2023-10-05T14:48:00.000Z",
"updatedAt": "2023-10-05T14:48:00.000Z",
"salutation": "Ms.",
"firstName": "Jane",
"middleName": "Allison",
"lastName": "Doe",
"jobTitle": "Procurement Lead",
"email": "jane.doe@example.com",
"phone": "+1-555-1234",
"order": 13
}
}{
"error": "Unauthorized",
"message": "Unauthorized"
}{
"error": "Forbidden",
"message": "Forbidden"
}{
"error": "NotFound",
"message": "Not Found"
}Contacts
Get contact
Retrieves a single contact by its ID.
GET
/
api
/
v1
/
contacts
/
{contactId}
Get contact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Specifies the tenant context for the request. All endpoints operate within this tenant scope.
Example:
"tnt_pfh0haxfpzowht3oi213cqos"
Path Parameters
The ID of the contact.
Minimum string length:
1Example:
"con_xlbg6ubfio7tzvsijyp5794c"
Query Parameters
Comma-separated list of relations to expand. Allowed values: client.
Example:
"client"
Response
Default Response
Standard success response payload wrapped in a data property.
Contact resource returned by the API.
Show child attributes
Show child attributes